<div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">{{title}} </h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="activeModal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]='reviewForm' (ngSubmit)="reviewForm.valid && SendReview()" autocomplete="on">
      <hr>
          <div class="mb-3">
      <textarea  placeholder="Comment" style="width: 405px;" formControlName="Comment" ></textarea>
      <app-review  (ratingChange)="ChangeRating($event)"></app-review>
  </div>

      <div class="row" *ngIf="validationErrors.length > 0">
          <ul class="text-danger">
              <li *ngFor="let error of validationErrors">
                  {{error}}
              </li>
          </ul>
      </div>
    <div>
      <div class="form-group text-center modal-footer" >
          <button type="button"  class="btn btn-success mr-2"  (click)="SendReview()">{{buttonText}}</button>
          <button  class="btn btn-outline-dark" (click)="activeModal.close('Send click')"  type="button">Cancel</button>
      </div>
    </div>
  </form>

  </div>